Summary: GNU Tape Archiver (tar)
Name: tar
Version: 1.12
Release: 1
Copyright: GPL
Group: Utilities/Archiving
Source: prep.ai.mit.edu:/pub/gnu/tar-1.12.tar.gz
Patch0: tar-1.11.8-manpage.patch
Prereq: /sbin/install-info
BuildRoot: /var/tmp/tar-root

%changelog

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>

- updated from 1.11.8 to 1.12
- various spec file cleanups
- /sbin/install-info support

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>

- built against glibc

* Thu May 29 1997 Michael Fulbright <msf@redhat.com>

- Fixed to include rmt

%description
GNU `tar' saves many files together into a single tape or disk
archive, and can restore individual files from the archive.  It
includes multivolume support, the ability to archive sparse files,
automatic archive compression/decompression, remote archives and
special features that allow `tar' to be used for incremental and full
backups.  If you wish to do remote backups with tar, you will need
to install the `rmt' package as well.

%prep
%setup
%patch0 -p1

%build
# add /usr/include/bsd to find sgtty.h during configuration
CPPFLAGS=-I/usr/include/bsd ./configure --disable-nls --prefix=/usr
make CFLAGS="$RPM_OPT_FLAGS -DHAVE_STRERROR -D_GNU_SOURCE" LDFLAGS=-s LIBS=-lbsd

%install
rm -f $RPM_BUILD_ROOT/usr/info/tar.info*
make prefix=$RPM_BUILD_ROOT/usr install
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
install -m644 tar.1 $RPM_BUILD_ROOT/usr/man/man1
gzip -9nf $RPM_BUILD_ROOT/usr/info/tar.info*
mkdir -p $RPM_BUILD_ROOT/bin -p $RPM_BUILD_ROOT/usr/sbin
rm -f $RPM_BUILD_ROOT/bin/tar
mv $RPM_BUILD_ROOT/usr/bin/tar $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT/usr/libexec/rmt $RPM_BUILD_ROOT/usr/sbin/rmt
strip $RPM_BUILD_ROOT/bin/tar

%post
/sbin/install-info /usr/info/tar.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /usr/info/tar.info.gz /usr/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
/bin/tar
/usr/sbin/rmt
/usr/info/tar.info*
/usr/man/man1/tar.1
